### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »

# collada.scene.MatrixTransform

class `collada.scene.``MatrixTransform`(matrix, xmlnode=None)

  Bases: `collada.scene.Transform`

  Contains a matrix transformation as defined in the collada <matrix> tag.

  `__init__`(matrix, xmlnode=None)

    Creates a matrix transformation

    Parameters:

    - matrix (numpy.array) – This should be an unshaped numpy array of floats of length 16
    - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(matrix[, xmlnode]) | Creates a matrix transformation
  `load`(collada, node) |
  `save`() |

  `matrix` = None

    The resulting transformation matrix. This will be a numpy.array of size 4x4.

  `xmlnode` = None

    ElementTree representation of the transform.

### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »